<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_color"
    android:orientation="vertical">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@mipmap/settings_bg_img" />

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/title_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="8dp"
            android:orientation="horizontal">

            <RelativeLayout
                android:id="@+id/back_btn"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:background="@drawable/drw_back_bg">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:src="@drawable/back_icon" />
            </RelativeLayout>

            <TextView
                android:id="@+id/title_text"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="18dp" />

            <RelativeLayout
                android:visibility="gone"
                android:id="@+id/playlist_title_more_btn"
                android:layout_width="42dp"
                android:layout_height="42dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:src="@drawable/three_dots_icon" />
            </RelativeLayout>

        </LinearLayout>

        <FrameLayout
            android:id="@+id/frame_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp" />

        <LinearLayout
            android:id="@+id/loadingLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:indeterminateTint="@color/green"
                android:progressBackgroundTint="@color/green"
                android:progressTint="@color/green" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/no_content_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/no_content_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/no_content_img" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:layout_marginEnd="32dp"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:text="@string/content_loading_failed"
                android:textSize="14dp" />

            <TextView
                android:id="@+id/tryAgainBtn"
                android:layout_width="wrap_content"
                android:layout_height="48dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/drw_btn_bg"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:paddingStart="32dp"
                android:paddingEnd="32dp"
                android:text="@string/try_again"
                android:textColor="@color/black"
                android:textSize="16dp" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="8dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@+id/play_music_layout"
                android:orientation="vertical">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="4dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="16dp"
                    android:overScrollMode="never"
                    android:scrollbars="none" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/play_music_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:orientation="vertical" />
        </RelativeLayout>
    </LinearLayout>
</RelativeLayout>
